Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Pufferüberlauf in Xen
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in Xen
ID: FEDORA-2015-0331
Distribution: Fedora
Plattformen: Fedora 21
Datum: Sa, 17. Januar 2015, 17:15
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0361

Originalnachricht

Name        : xen
Product : Fedora 21
Version : 4.4.1
Release : 12.fc21
URL : http://xen.org/
Summary : Xen is a virtual machine monitor
Description :
This package contains the XenD daemon and xm command line
tools, needed to manage virtual machines running under the
Xen hypervisor

-------------------------------------------------------------------------------
-
Update Information:

xen crash due to use after free on hvm guest teardown [XSA-116,
CVE-2015-0361]
-------------------------------------------------------------------------------
-
ChangeLog:

* Tue Jan 6 2015 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-12
- xen crash due to use after free on hvm guest teardown [XSA-116,
CVE-2015-0361] (#1179221)
* Tue Dec 16 2014 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-11
- fix xendomains issue introduced by xl migrate --debug patch
* Mon Dec 8 2014 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-10
- p2m lock starvation [XSA-114, CVE-2014-9065]
- fix build with --without xsm
* Thu Nov 27 2014 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-9
- Excessive checking in compatibility mode hypercall argument translation
[XSA-111, CVE-2014-8866]
- Insufficient bounding of "REP MOVS" to MMIO emulated inside the
hypervisor
[XSA-112, CVE-2014-8867]
- fix segfaults and failures in xl migrate --debug (#1166461)
* Thu Nov 20 2014 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-8
- Guest effectable page reference leak in MMU_MACHPHYS_UPDATE handling
[XSA-113, CVE-2014-9030] (#1166914)
* Tue Nov 18 2014 Michael Young <m.a.young@durham.ac.uk> - 4.4.1-7
- Insufficient restrictions on certain MMU update hypercalls [XSA-109,
CVE-2014-8594] (#1165205)
- Missing privilege level checks in x86 emulation of far branches [XSA-110,
CVE-2014-8595] (#1165204)
- Add fix for CVE-2014-0150 to qemu-dm, though it probably isn't
exploitable from xen (#1086776)
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1176097 - CVE-2015-0361 kernel: xen crash due to use after free on
hvm guest teardown (xsa116)
https://bugzilla.redhat.com/show_bug.cgi?id=1176097
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update xen' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung